# $Revision: 1.12 $, $Date: 2003/12/19 13:16:47 $
Summary:	Pluggable Authentication Modules: modular, incremental authentication
Summary(de):	Einsteckbare Authentifizierungsmodule: modulare, inkrementre Authentifizierung
Summary(fr):	PAM : Pluggable Authentication Modules: modular, incremental authentication
Summary(pl):	Modularny system autentykacji
Summary(tr):	Modler, artmsal dorulama birimleri
Name:		pam
Version:	0.80.1
Release:	1
Copyright:	GPL or BSD
Group:		Base
Source:		ftp://ftp.pld-linux.org/packages/pam-pld-%{version}.tar.gz
URL:		http://parc.power.net/morgan/Linux-PAM/index.html
BuildRequires:	sp
BuildRequires:	sgml-tools
BuildRequires:	pwdb-devel
BuildRequires:	cracklib-devel
BuildRequires:	skey-devel
BuildRequires:	opie-devel
BuildRequires:	libwrap-devel
BuildRequires:	libcap-devel
Requires:	cracklib
Requires:	cracklib-dicts
Obsoletes:	pamconfig
Obsoletes:	pam_make
Provides:	pam-pld
Buildroot:	/tmp/%{name}-%{version}-root

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible, extensible
authentication system which allows the system administrator to configure
authentication services individually for every pam-compliant application
without recompiling any of the applications.

%description -l de
PAM (Pluggable Authentication Modules) ist ein leistungsfhiges, flexibles
und erweiterbares Authentifizierungssystem, mit dem der Systemverwalter
Authentifizierungs-Dienste individuell fr jede pam-kompatible Anwendung
konfigurieren kann, ohne diese neu kompilieren zu mssen.

%description -l fr
PAM (Pluggable Authentication Modules) est un systme d'authentification
puissant, souple et extensible permettant  l'administrateur systme de
configurer les individuellement les services d'authentification pour chaque
application conforme  PAM, sans recompiler aucune application.

%description -l pl
PAM (Pluggable Authentication Modules) jest silnym i atwo dostosowywalnym
do potrzeb systemem autentykacji, ktry umoliwia administratorowi
indywidualne konfigurowanie poszczeglnych serwisw, ktre s dostosowane i
zlinkowane z bibliotekami PAM bez pniejszej ich rekompilacji w momencie
zmiany sposobu autentykacji tyche serwisw.

%description -l tr
PAM (Pluggable Authentication Modules) sistem yneticilerinin uygulamalardan
herhangi birini yeniden derlemeksizin btn PAM uyumlu uygulamalar iin
dorulama hizmetlerini ayarlamalarna yardmc olan, gcl, esnek ve kapsaml
bir dorulama sistemidir.

%package devel
Summary:	PAM header files
Summary(pl):	Pliki nagwkowe i dokumentacja do PAM
Group:		Development/Libraries
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files for developing PAM based applications.

%description devel
Header files for developing PAM based applications.

%description devel -l pl
Pliki nagwkowe i dokumentacja do PAM.

%package static
Summary:	PAM static libraries
Summary(pl):	Biblioteki statyczne PAM
Group:		Development/Libraries
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
PAM static libraries.

%description static -l pl
Biblioteki statyczne PAM.

%package pam_pwdb
Summary:	pam_pwdb module
Group:		Base
Requires:	%{name} = %{version}
Requires:	pwdb >= 0.54-2

%description pam_pwdb
pam_pwdb module

%package pam_radius
Summary:	pam_radius module
Group:		Base
Requires:	%{name} = %{version}
Requires:	pwdb >= 0.54-2

%description pam_radius
pam_radius module

%package pam_skey
Summary:	pam_skey module
Group:		Base
Requires:	%{name} = %{version}
Requires:	skey

%description pam_skey
pam_skey module

%package pam_opie
Summary:	pam_opie module
Group:		Base
Requires:	%{name} = %{version}
Requires:	opie

%description pam_opie
pam_opie module

%package pam_tcpd
Summary:	pam_tcpd module
Group:		Base
Requires:	%{name} = %{version}
Requires:	libwrap

%description pam_tcpd
pam_tcpd module

%package pam_cap
Summary:	pam_cap module
Group:		Base
Requires:	%{name} = %{version}
Requires:	libcap

%description pam_cap
pam_cap module

%prep
%setup -q -n %{name}-pld-%{version}

%build
%configure \
	%{?bcond_on_pwexport:--enable-want-pwexport-module} \
	--enable-strong-crypto
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

make install DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/etc/security/blacklist

ln -sf /%{_lib}/libpam.so.0 $RPM_BUILD_ROOT%{_libdir}/libpam.so
ln -sf /%{_lib}/libpamc.so.0 $RPM_BUILD_ROOT%{_libdir}/libpamc.so
ln -sf /%{_lib}/libpam_misc.so.0 $RPM_BUILD_ROOT%{_libdir}/libpam_misc.so

mv $RPM_BUILD_ROOT/%{_lib}/lib*.{la,a} $RPM_BUILD_ROOT%{_libdir}/

strip --strip-unneeded $RPM_BUILD_ROOT/%{_lib}/lib*.so.*.* \
	$RPM_BUILD_ROOT%{_sbindir}/pwgen_trigram \
	$RPM_BUILD_ROOT/sbin/pwdb_chkpwd \
	$RPM_BUILD_ROOT/sbin/unix_chkpwd \
	$RPM_BUILD_ROOT/%{_lib}/security/*.so

# Removed due to chicken-egg problem
#	$RPM_BUILD_ROOT/sbin/pam_tally \

gzip -9fn $RPM_BUILD_ROOT%{_mandir}/man[358]/* Copyright \
	doc/txts/*.txt doc/specs/*.{raw,txt}

rm -f doc/{ps,txts}/{README,*.log}
rm -f doc/{html,txts}/Makefile*

touch $RPM_BUILD_ROOT/etc/security/opasswd

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Copyright.gz doc/{html,txts,specs/*.gz}
%dir /etc/pam.d
%dir /sbin/pam_filter
%dir /var/lock/console
%dir /etc/security/console.apps
%config /etc/pam.d/other
%config /etc/security/access.conf
%config /etc/security/pam_env.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
%config /etc/security/time.conf
%config /etc/security/consoles
%config /etc/security/trigram*
%config(noreplace) /etc/security/blacklist
%attr(0600,root,root) %config(noreplace) /etc/security/opasswd
%attr(0755,root,root) /%{_lib}/lib*.so.*.*
%attr(0755,root,root) /%{_lib}/security/pam_access.so
%attr(0755,root,root) /%{_lib}/security/pam_console.so
%attr(0755,root,root) /%{_lib}/security/pam_cracklib.so
%attr(0755,root,root) /%{_lib}/security/pam_deny.so
%attr(0755,root,root) /%{_lib}/security/pam_env.so
%attr(0755,root,root) /%{_lib}/security/pam_filter.so
%attr(0755,root,root) /%{_lib}/security/pam_ftp.so
%attr(0755,root,root) /%{_lib}/security/pam_group.so
%attr(0755,root,root) /%{_lib}/security/pam_homedir.so
%attr(0755,root,root) /%{_lib}/security/pam_issue.so
%attr(0755,root,root) /%{_lib}/security/pam_lastlog.so
%attr(0755,root,root) /%{_lib}/security/pam_limits.so
%attr(0755,root,root) /%{_lib}/security/pam_listfile.so
%attr(0755,root,root) /%{_lib}/security/pam_mail.so
%attr(0755,root,root) /%{_lib}/security/pam_make.so
%attr(0755,root,root) /%{_lib}/security/pam_motd.so
%attr(0755,root,root) /%{_lib}/security/pam_netid.so
%attr(0755,root,root) /%{_lib}/security/pam_nologin.so
%attr(0755,root,root) /%{_lib}/security/pam_permit.so
%attr(0755,root,root) /%{_lib}/security/pam_pwgen.so
%attr(0755,root,root) /%{_lib}/security/pam_rhosts.so
%attr(0755,root,root) /%{_lib}/security/pam_rootok.so
%attr(0755,root,root) /%{_lib}/security/pam_securetty.so
%attr(0755,root,root) /%{_lib}/security/pam_shells.so
%attr(0755,root,root) /%{_lib}/security/pam_stress.so
%attr(0755,root,root) /%{_lib}/security/pam_tally.so
%attr(0755,root,root) /%{_lib}/security/pam_time.so
%attr(0755,root,root) /%{_lib}/security/pam_unix.so
%attr(0755,root,root) /%{_lib}/security/pam_userdb.so
%attr(0755,root,root) /%{_lib}/security/pam_usertty.so
%attr(0755,root,root) /%{_lib}/security/pam_utmp.so
%attr(0755,root,root) /%{_lib}/security/pam_warn.so
%attr(0755,root,root) /%{_lib}/security/pam_wheel.so
%attr(0755,root,root) /%{_lib}/security/pam_xauth.so
%{?bcond_on_pwexport:%attr(0755,root,root) /%{_lib}/security/pam_pwexport.so}
%attr(0755,root,root) /sbin/pam_filter/upperLOWER
%attr(4755,root,root) /sbin/unix_chkpwd
# Removed due to chicken-egg problem
# %attr(755,root,root) /sbin/pam_tally
%attr(755,root,root) %{_sbindir}/pwgen_trigram
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/security
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files pam_pwdb
%defattr(644,root,root,755)
%attr(0755,root,root) /%{_lib}/security/pam_pwdb.so
%attr(4755,root,root) /sbin/pwdb_chkpwd

%files pam_radius
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_radius.so

%files pam_skey
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_skey.so

%files pam_opie
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_opie.so
%attr(755,root,root) /%{_lib}/security/pam_opietrust.so

%files pam_tcpd
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_tcpd.so

%files pam_cap
%defattr(644,root,root,755)
%config /etc/security/capability.conf
%attr(755,root,root) /%{_lib}/security/pam_cap.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld-linux.org>
All persons listed below can be reached on <cvs_login>@pld-linux.org

$Log: pam.spec.in,v $
Revision 1.12  2003/12/19 13:16:47  arekm
Use /%%{_lib}/ instead of /lib/.

Revision 1.11  2003/09/26 11:31:13  baggins
- s/pld.org.pl/pld-linux.org/

Revision 1.10  2001/03/29 12:40:35  baggins
- version 0.74.1
- added pam_pwexport module
  it's build only when --enable-want-pwexport-module is given to
  configure because it needs hacked pam_unix

Revision 1.9  2000/05/23 13:32:51  baggins
- version 0.72.4
- finished and enabled pam_utmp module

Revision 1.8  2000/05/12 16:07:55  baggins
- added Provides: pam-pld

Revision 1.7  2000/04/25 18:06:10  baggins
- removed pam_radius from main package

Revision 1.6  2000/04/25 17:45:51  baggins
- moved pam_radius into separate module

Revision 1.5  2000/04/25 13:02:05  baggins
- version 0.72.1
- added skey, opie, netid, tcpd, usertty, cap modules
- moved pwdb, skey, opie, tcpd and cap modules into separate packages

Revision 1.4  2000/04/17 19:53:00  baggins
- removed obsoleted variable

Revision 1.3  2000/03/28 15:43:42  baggins
- small fix in Source0:

Revision 1.2  2000/01/04 16:30:05  baggins
- updated to 0.72
- added some patches from debian

Revision 1.1  1999/12/06 19:07:05  baggins
- source for autogenerated spec

Revision 1.40  1999/11/13 00:02:45  baggins
- updated to Linux-PAM 0.71

Revision 1.39  1999/11/03 11:26:18  baggins
- release++

Revision 1.38  1999/11/02 18:36:36  baggins
- release++

Revision 1.37  1999/10/21 10:44:05  baggins
- release++

Revision 1.36  1999/10/15 14:32:24  baggins
- release++

Revision 1.35  1999/10/11 18:27:05  baggins
- typo

Revision 1.34  1999/10/11 18:21:33  baggins
- updated to 0.70

Revision 1.33  1999/09/14 10:42:19  baggins
- typo, new release

Revision 1.32  1999/09/10 15:17:36  baggins
- release ++

Revision 1.31  1999/08/19 10:53:43  baggins
- little change in install

Revision 1.30  1999/08/18 16:08:40  baggins
- added missing binary

Revision 1.29  1999/08/17 15:06:44  baggins
- release ++
- added pam_pwgen module data

Revision 1.28  1999/08/15 14:29:38  baggins
- release ++

Revision 1.27  1999/08/04 12:17:07  baggins
- updated to Linux-PAM 0.69

Revision 1.56  1999/07/28 17:05:21  kloczek
- removed /usr/bin/nsgmls from BuildRequirews,
- added to BuildRequirews sp and sgml-tools,
- --strip-debug relaced by --strip-unneeded in stripping binaries and shared
  objects.

Revision 1.55  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.54  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

%changelog
* Thu Jul 01 1999 Jan Rkorajski <baggins@pld-linux.org>
  [0.67-1]
- updated to Linux-PAM 0.67 with lots of patches from forthcoming 0.68

* Thu Jun  3 1999 Jan Rkorajski <baggins@pld-linux.org>
  [0.66-24]
- added pam_console module - stripped version

* Thu May 27 1999 Jan Rkorajski <baggins@hunter.mimuw.edu.pl>
  [0.66-21]
- spec cleanup

* Fri May 14 1999 Jan Rkorajski <baggins@hunter.mimuw.edu.pl>
  [0.66-20]
- added unix_chkpwd and pam_pwdb_helper symlink

* Thu May 13 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.66-19]
- initial version which bases on on pam from RedHat.
